/*
	Phoenix Suite 2
	Author: Jean-Baptiste Wautier
	Copyright 2006-2009 (c)
*/
﻿namespace Phoenix.Log.Reader
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    using Phoenix.Log;
    using Phoenix.Log.Reader;

    /// <summary>
    /// Factory that gives instance of assembly ILogReader
    /// </summary>
    public interface ILogReaderFactory
    {
        #region Properties

        /// <summary>
        /// Gets an instance of assembly reader.
        /// </summary>
        /// <returns></returns>
        ILogReader Reader
        {
            get;
        }

        #endregion Properties
    }
}